[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Motif

As per the motif 2.3.4 release notes [1], motif 2.3.4 is binary compatible all the way back to motif 2.2.
I believe this means bug #587683 [2] should have been solved by symlinks rather than bumping the name libmotif3 to libmotif4.
I cannot say why upstream bumped the soname when it was not necessary.
Anyway, motif 2.3.4 now provides these symlinks for compatibility with applications that are not in Debian and libmotif3 has been out of the archive for so long now that we do not need to worry about libmotif3 -> libmotif4 transitional packages.

We have removed Xprint from motif 2.3.4, so strictly speaking the ABI is not 100% compatible with openmotif 2.3.3, but none of the packages in Debian that depend on libmotif4 or lesstif2 make use of any of the Xprint functions, so I see no reason not to proceed with the upload.

On 23 May 2013 08:43, Luca Falavigna <dktrkranz@debian.org> wrote:
2013/5/22 Paul Gevers <elbrus@debian.org>:
> Ok. Then we just have to wait until the RT grants us a transition slot.
> Will keep you updated.

I don't think we need it for openmotif -> motif, as long as motif is
ABI-compatible with openmotf.

Reply to: